CmdMessenger 3.0 CmdMessenger is a serial port messaging library for the .Net / Mono Platform.

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | Properties
CommandMessengerTests.Common Class Reference

List of all members.

## Static Public Member Functions
static CmdMessenger | Connect (systemSettings systemSettings)
static void | LogCommands (bool logCommands)
static void | OpenTestLogFile (string testLogFile)
static void | CloseTestLogFile ()
static void | Disconnect ()
static string | Silence (string input)
static void | StartTestSet (string testSetDescription)
static void | EndTestSet ()
static void | StartTest (string testDescription)
static void | EndTest ()
static void | TestSummary ()
static void | TestOk (string resultDescription)
static void | TestNotOk (string resultDescription)
static void | NewLineReceived (object sender, NewLineEvent.NewLineArgs e)
static void | NewLineSent (object sender, NewLineEvent.NewLineArgs e)
static void | OnUnknownCommand (ReceivedCommand arguments)
static void | WriteLine ()
static void | WriteLine (string message)
static void | Write (string message)
## Properties
static CmdMessenger | CmdMessenger`[get, set]`
static SerialTransport | SerialTransport`[get, set]`

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessengerTests/Common.cs